//REGEN_FILEHEADING
//REGEN_FILEHEADING

     /********************************************************************
      *                                                                  *
      *   Source File: whello.c                                          *
      *   Description: Source for whello application                     *
      *   Date:        Fri Aug 20 14:46:21 1993                          *
      *                                                                  *
      ********************************************************************/

#include <windows.h>
#include <bwcc.h>
#include "whello.h"

//REGEN_VARIABLES
//REGEN_VARIABLES

LRESULT CALLBACK MainWndProc(HWND, UINT, WPARAM, LPARAM);
HACCEL   hAccel;

int PASCAL WinMain(HINSTANCE hInstance,      // Application Instance Handle
                   HINSTANCE hPrevInstance,  // Previous Instance Handle
                   LPSTR  lpszCmdLine,       // Pointer to Command Line
                   int    nCmdShow)          // Show Window Option
{
   static char szAppName[] = "whello";

   //REGEN_BEGINFUNCTION
   //REGEN_BEGINFUNCTION

   MSG      msg;
   HWND     hWndMain;

   WNDCLASS wndclass;
   HMODULE hBorLibrary;

   hBorLibrary = LoadLibrary("bwcc.dll");

   if((UINT)hBorLibrary <= 32)
      MessageBox(NULL, "Unable to load Borland Controls",
                "System Error", MB_OK | MB_ICONHAND);

   hInst = hInstance;

   hAccel = LoadAccelerators(hInstance, "whello");

   if(!hPrevInstance)
   {
      wndclass.style           = CS_HREDRAW | CS_VREDRAW;
      wndclass.lpfnWndProc     = MainWndProc;
      wndclass.cbClsExtra      = 0;
      wndclass.cbWndExtra      = 0;
      wndclass.hInstance       = hInstance;
      wndclass.hCursor         = LoadCursor(NULL, IDC_ARROW);
      wndclass.hIcon           = NULL;
      wndclass.hbrBackground   = CreateSolidBrush((LONG)16777215);
      wndclass.lpszMenuName    = "whello";
      wndclass.lpszClassName   = szAppName;

      if(!RegisterClass(&wndclass))
         return FALSE;
   }

   //REGEN_INITVIEW
   if (lpszCmdLine);
   //REGEN_INITVIEW

   if(!(hWndMain = CreateWindow(szAppName,
                       "Hello Windows",
                       WS_OVERLAPPEDWINDOW,
                       CW_USEDEFAULT, 0,
                       CW_USEDEFAULT, 0,
                       NULL, (HMENU)NULL, hInstance, NULL)))
        return FALSE;

   //REGEN_MAINWND
   //REGEN_MAINWND

   ShowWindow(hWndMain, nCmdShow);
   UpdateWindow(hWndMain);

   while(GetMessage(&msg, NULL, 0, 0))
         if(!TranslateAccelerator(hWndMain, hAccel, &msg))
          {
             TranslateMessage(&msg);
             DispatchMessage(&msg);
          }

   if((UINT)hBorLibrary > 32)
      FreeLibrary(hBorLibrary);

   //REGEN_APPTERM
   //REGEN_APPTERM
   return msg.wParam;
}

LRESULT CALLBACK MainWndProc(HWND hWnd, UINT wMessage, WPARAM wParam, LPARAM lParam)
{

   //REGEN_WINDOWPROCVARIABLES
   //REGEN_WINDOWPROCVARIABLES

   switch(wMessage)
   {
       //REGEN_WNDPROC
       //REGEN_WNDPROC

       case WM_INITDIALOG :

         //REGEN_WM_INITDIALOG
         //REGEN_WM_INITDIALOG

         break;

       case WM_COMMAND :
          if(!LOWORD(lParam))
          {                             // Process Menu Commands
             switch(wParam)             // Determine which Menu ID
             {
             case IDM_EXIT :
                {
                //REGEN_EXIT
                //REGEN_EXIT
                }
                break;

             }
          }
          else
          {
             //REGEN_CUSTOMCOMMAND
             //REGEN_CUSTOMCOMMAND

             switch(wParam)
             {
             }
          }
           
          break;

       case WM_DESTROY :

          //REGEN_DESTROY
          //REGEN_DESTROY

          PostQuitMessage(0);
          break;

       default :
          return DefWindowProc(hWnd, wMessage, wParam, lParam);
   }
   return 0L;
}

//REGEN_CUSTOMCODE
//REGEN_CUSTOMCODE
