/**************/
/* cliptest.c */
/****************************************************************************
  PROGRAM: cliptest.c
  Windows: Win 3.1 & Win32
  PURPOSE: Tulostetaan leikekirjan sislt.
  Project:
           cliptest.c
           simplet.def
           ALI\tabhand.c
           ALI\clipboar.c

/***************************************************************************/

#include <windows.h>
#include <stdio.h>
#include <string.h>
#include <mem.h>
#include "tabhand.h"
#include "clipboard.h"

/***************************************************************************/
TblClassSWindowMAIN("CliptestClass",0,"Cliptest",MsgTbl,0);
/***************************************************************************/


/****************************************************************************/
static EVENT WM_paint(tMSGParam *msg) /* # MAKE_DC # */
{
  char s[20];
  char n[100];
  char cl[100];

  UINT size,fmt =0;
  int  ln,y =  0;

  if ( !OpenClipboard(msg->hWnd)) return NULL;
  while ( (fmt = EnumClipboardFormats(fmt)) != 0 )  {
    ln=GetClipboardFormatName(fmt,n,sizeof(n));
    DataFromClipboardN(NULL,fmt,&size,cl,sizeof(cl));
    sprintf(s," %x ",fmt);
    TextOut(msg->hDC,10,y+=20,s,strlen(s)); TextOut(msg->hDC,70,y,n,ln);
    TextOut(msg->hDC,150,y,cl,size);
  }
  CloseClipboard();
  return 0;
}

static EVENT WM_lbuttondown(tMSGParam *msg)
{
  InvalidateRect(msg->hWnd,NULL,TRUE);
  return 0;
}

/****************************************************************************/
static EVENT WM_create(tMSGParam *msg)
/* Aliohjelmaa kutsutaan kun ikkuna on luotu, muttei viel nytss.        */
{
  MoveWindow(msg->hWnd,10,10,600,400,FALSE);
  return 0;
}

/****************************************************************************/
/* Viestien ksittelytaulukko                                               */
/****************************************************************************/
tMSGEntry MsgTbl[] = {
  EV_HANDLE_WM_DESTROY,
  { WM_PAINT , DoC , DoC , WM_paint,  MAKE_DC  }, /*a*/
  { WM_LBUTTONDOWN , DoC , DoC , WM_lbuttondown }, /*a*/
  { WM_CREATE , DoC , DoC , WM_create }, /*a*/
  { 0 }
};
/****************************************************************************/