/* simplet.h */
/*****************************************************************************
    PROGRAM: simplet.h
    PURPOSE: Tyypit viestien taulukkoksittelylle.
    Editor:  Vesa Lappalainen 13.6.1994
*****************************************************************************/

#define DONT_CARE (0x7fff)
#define DoC       DONT_CARE
#define DEFRETURN (0x1234ffffL)

typedef struct { /* Ksittelijlle tuotava tietue */
  HWND hWnd;               /* Ikkunan kahva                                 */
  UINT message;            /* Viestin numero                                */
  WPARAM wParam;           /* Viestin lyhyempi osa                          */
  LPARAM lParam;           /* Viestin pisempi osa                           */
  HDC hDC;                 /* Mahdollisesti luotu laiteyhteys (=0 jos ei)   */
} tMSGParam;

typedef LONG (*tMSGHandler)(tMSGParam *);

typedef struct { /* Ksittelytaulukon tietue */
  UINT        message;     /* Viesti, joka pit ksitell                  */
  WPARAM      wParam;      /* wParam, joka pit tsmt                    */
  LPARAM      lParam;      /* lParam, joka pit tsmt                    */
  tMSGHandler handler;     /* Osoitin ksittelijn                         */
  char        make_hDC;    /* Luodaanko hDC (0=ei)                          */
} tMSGEntry;